package com.yiqi.common.enums;

/**
 * @author xiaohei
 * @date 2024/1/4
 */
public enum  OrderNoHeaderType implements CodeEnum{

    cloth_wash_code_header("1", "衣服条码"),
    activity_order_header ("A", "活动订单"),
    cloth_order_header("C", "洗衣订单"),
    purchase_order_header("P","进货订单"),
    goods_order_header("G","商品订单"),
    recharge_order_header("R","充值订单"),
    delivery_order_header("D","配送订单"),
    ;

    private final String code;
    private final String info;

    OrderNoHeaderType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
